extends HBoxContainer

@export var bus: int = 0

# Called when the node enters the scene tree for the first time.
func _ready():
    find_child("Button").connect("value_changed", pls)

func pls(val: float):
    if val < 50:
        AudioServer.set_bus_volume_db(bus, -5 - pow(50 - val, 0.9))
    if val >= 50:
        AudioServer.set_bus_volume_db(bus, 5 -(100 - val) / 5)
